This will silence some of the noisy output from mount and the kernel
when trying to automount filesystems or devices

[YOCTO #3935]

Signed-off-by: Saul Wold <s...@linux.intel.com>
---
 meta/recipes-core/udev/udev-extraconf/mount.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meta/recipes-core/udev/udev-extraconf/mount.sh 
b/meta/recipes-core/udev/udev-extraconf/mount.sh
index 99c76b2..7b58361 100644
--- a/meta/recipes-core/udev/udev-extraconf/mount.sh
+++ b/meta/recipes-core/udev/udev-extraconf/mount.sh
@@ -22,7 +22,7 @@ automount() {
 
        ! test -d "/media/$name" && mkdir -p "/media/$name"
        
-       if ! $MOUNT -t auto $DEVNAME "/media/$name"
+       if ! $MOUNT -o silent -t auto $DEVNAME "/media/$name"
        then
                #logger "mount.sh/automount" "$MOUNT -t auto $DEVNAME 
\"/media/$name\" failed!"
                rm_dir "/media/$name"
-- 
1.8.0.2


_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.linuxtogo.org/cgi-bin/mailman/listinfo/openembedded-core

Reply via email to